app/Http/routes.php
<?php
/**
 * Application Routes
 *
 * Here is where you can register all of the routes for an application.
 * It's a breeze. Simply tell Laravel the URIs it should respond to
 * and give it the controller to call when that URI is requested.
 *
 * PHP version 5.6
 *
 * @category Class
 * @package  Base
 * @author   Michal Hojgr <michal.hojgr@gmail.com>
 * @license  MS Reference
 * @link     http://bookie.gg
 */
/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/mailpreview', ['uses' => 'EmailController@firstclosedbeta']);
Route::get('/help', ['as' => 'help', 'uses' => 'HelpController@show']);

Route::group(
    ['middleware' => 'beta.active_only'],
    function () {
        /**
         * API Methods
         *
         * @see http://docs.bookiegg.apiary.io/
         */
        Route::post(
            '/api/csgo/bank/deposit',
            ['uses' => 'BankController@deposit']
        );

        Route::post(
            '/api/csgo/bank/withdraw',
            ['uses' => 'BankController@withdraw']
        );

        Route::get(
            '/api/profile/tradeurl/verify',
            ['uses' => 'ProfileController@verifyTradeURL']
        );

        Route::post(
            '/api/profile/tradeurl',
            ['uses' => 'ProfileController@storeTradeURL']
        );

        Route::post(
            '/api/core/popup',
            ['uses' => '']
        );

        Route::get(
            '/api/core/popup',
            ['uses' => 'PopupController@getActive']
        );

        Route::get(
            '/',
            ['as' => 'home', 'uses' => 'HomeController@index']
        );
        Route::get(
            '/profile/{id}',
            ['as' => 'profile', 'uses' => 'ProfileController@show']
        );
        Route::get(
            '/article/{id}',
            ['as' => 'article', 'uses' => 'ArticleController@show']
        );
        Route::get(
            '/match/{id}',
            ['as' => 'match', 'uses' => 'MatchController@show']
        );
        Route::get(
            '/bank',
            ['as' => 'bank', 'uses' => 'BankController@show']
        );
        Route::get(
            '/rules',
            ['as' => 'rules', 'uses' => 'SubpageController@rules']
        );
        Route::get(
            '/tos',
            ['as' => 'tos', 'uses' => 'SubpageController@tos']
        );
        Route::get(
            '/contact',
            ['as' => 'contact', 'uses' => 'SubpageController@contact']
        );
        Route::get(
            '/partners',
            ['as' => 'partners', 'uses' => 'SubpageController@partners']
        );

        // TODO: add admin roles
        Route::group(
            [
                'namespace' => 'Admin',
                'prefix' => 'admin',
                'middleware' => 'admin.protect'
            ],
            function () {
                Route::get(
                    '/',
                    ['as' => 'admin_home', 'uses' => 'HomeController@index']
                );

                Route::resource('article', 'ArticleController');
                Route::resource('organization', 'OrganizationController');
                Route::resource('team', 'TeamController');
                Route::resource('match', 'MatchController');

                Route::get(
                    'match/pickwinner/{matchid}/{tid}',
                    [
                        'as' => 'admin.match.pickwinner',
                        'uses' => 'MatchController@pickwinner'
                    ]
                );
                Route::resource('subpage', 'SubpageController');
            }
        );
    }
);


Route::group(
    ['middleware' => 'beta.not_active_only'],
    function () {
        Route::get(
            '/beta',
            ['as' => 'beta_home', 'uses' => 'BetaController@index']
        );
        Route::post(
            '/beta',
            ['as' => 'beta.activate', 'uses' => 'BetaController@activate']
        );
        Route::post(
            '/beta/subscribe',
            ['as' => 'beta.subscribe', 'uses' => 'BetaSubscribeController@index']
        );
    }
);

Route::get('/login', ['as' => 'login', 'uses' => 'SteamController@login']);
Route::get('/auth', ['as' => 'auth', 'uses' => 'SteamController@auth']);
Route::get('/logout', ['as' => 'logout', 'uses' => 'SteamController@logout']);

/**
 * Statically serve images from storage
 */
Route::get(
    'upload_assets/{thing}/{type}/{filename}',
    [
        'as' => 'uploaded_asset',
        'uses' => function ($thing, $type, $filename) {
            if (!in_array($thing, ['logo', 'banner'])) {
                App::abort(403);
            }

            $path = storage_path($thing . "s/" . $type . "s") . "/$filename";

            $response = Response::make(File::get($path));
            $response->header('Content-Type', File::type($path));
            $response->header('Content-Size', File::size($path));

            return $response;
        }
    ]
);

app/Models/Match.php
<?php namespace BookieGG\Models;

use Illuminate\Database\Eloquent\Model;

class Match extends Model {

    const STATUS_NOT_FINISHED = 0;
    const STATUS_FINISHED = 1;

    public function teams() {
        return $this->belongsToMany('BookieGG\Models\Team');
    }

    public function note() {
        return $this->hasOne('BookieGG\Models\MatchNote');
    }

    public function organization() {
        return $this->belongsTo('BookieGG\Models\Organization');
    }

    public function getStartDateAttribute()
    {
        return Carbon::parse($this->start);
    }
}

app/Http/Controllers/Admin/MatchController.php
<?php namespace BookieGG\Http\Controllers\Admin;

use BookieGG\Http\Requests\MatchEditRequest;
use BookieGG\Commands\CreateMatch;
use BookieGG\Commands\EditMatch;
use BookieGG\Contracts\Repositories\MatchRepositoryInterface;
use BookieGG\Contracts\Repositories\OrganizationRepositoryInterface;
use BookieGG\Contracts\Repositories\TeamRepositoryInterface;
use BookieGG\Http\Requests;
use BookieGG\Http\Controllers\Controller;
use BookieGG\Models\Match;

class MatchController extends Controller {

    /**
     * Display a listing of the resource.
     *
     * @param MatchRepositoryInterface $mri
     * @return Response
     */
    public function index(MatchRepositoryInterface $mri)
    {
        return view('admin/match/index')
            ->with('matches', $mri->allDesc())
            ->with('hide_right_side', true);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @param OrganizationRepositoryInterface $ori
     * @param TeamRepositoryInterface $tri
     * @return Response
     */
    public function create(OrganizationRepositoryInterface $ori, TeamRepositoryInterface $tri)
    {
        $organizers = ['None selected'] + $this->getRight($ori->getAll());
        $teams = ['None selected'] + $this->getRight($tri->getAll());

        $_bos = [1, 3, 5];
        $bos = [];

        foreach($_bos as $b) {
            $bos[$b] = "BO$b";
        }

        return view('admin/match/create')
            ->with('organizers', $organizers)
            ->with('teams', $teams)
            ->with('all_bos', $bos);
    }

    public function getRight($col) {
        $select = [];

        foreach($col as $o) {
            $select[$o->id] = $o->name;
        }

        return $select;
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param Requests\MatchCreateRequest $request
     * @return Response
     */
    public function store(Requests\MatchCreateRequest $request)
    {
        $all = \Input::all();

        list($t1, $t2) = $this->dispatch(
            new CreateMatch(
                $all['organizer'],
                $all['t1'],
                $all['t2'],
                $all['bo'],
                new \DateTime($all['start']),
                $all['note']
            )
        );

        \Session::flash('message',
            [['type' => 'success', 'message' => "Match <b>{$t1->name}</b> vs. <b>{$t2->name}</b> was successfully created"]]);

        return \Redirect::route('admin.match.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param MatchRepositoryInterface $mri
     * @param TeamRepositoryInterface $tri
     * @param  int $id
     * @return Response
     */
    public function edit(MatchRepositoryInterface $mri, TeamRepositoryInterface $tri, $id) {
        $_bos = [1, 3, 5];
        $bos = [];

        $teams = $this->getRight($tri->getAll());

        foreach($_bos as $b) {
            $bos[$b] = "BO$b";
        }

        return view('admin/match/edit')
            ->with('match', $mri->find($id))
            ->with('all_bos', $bos)
            ->with('teams', $teams);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param MatchEditRequest $request
     * @param  int $id
     * @return Response
     */
    public function update(MatchEditRequest $request, $id)
    {
        $this->dispatch(
            new EditMatch($id, \Input::get('bo'), \Input::get('start'), \Input::get('note'), \Input::get('t1'), \Input::get('t2'))
        );

        \Session::flash('message',
            [['type' => 'success', 'message' => "Match was successfully edited"]]);

        return \Redirect::route('admin.match.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }


    public function pickwinner($matchid, $tid) {
        // TODO: move it to repository :'(
        $match = Match::find($matchid);

        $match->winner_id = $tid;
        $match->status = Match::STATUS_FINISHED;

        $match->save();

        \Session::flash('message',
            [['type' => 'success', 'message' => "Winner was successfully picked"]]);

        return \Redirect::route('admin.match.index');
    }
}

app/Http/Controllers/MatchController.php
<?php


namespace BookieGG\Http\Controllers;


use BookieGG\Contracts\Repositories\MatchRepositoryInterface;

class MatchController extends Controller {
    public function show(MatchRepositoryInterface $mri, $id) {
        $weapons = [
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz56P7fiDzRyTQXJVfdhX_o45gnTBCI24dJua9u35bwDZw2-tYrFNeMvMNhIG8OEXvKBYQGrvhg-g6AMe8eMpni93y7rbGZeCEH1ujVTFsKH5xI/90fx60f',
            'https://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz58OOy2OwhkZzvFDa9dV7g2_Rn5DDQx7cl3a9u_8LMSZw3qtdfPNrR5ZNwdSpbSUqXVNQz4vktr0aUPK5bYp37m2yntbG0MCkD1ujVTR3uA_-U/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz56I_OKMyJYdAXUBKxfY_Qt5DfhDCM7_cpcWNak8L5IfgnovNDCZ7MuM9sfTsmEW6OCYVqr70pthvcJLZPf8inn3Snha2tYCg2rpDwNRl310w/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz56I_OKOC5YcAjDDJ9NVfgq-A3TBS414NNcWNak8L5ILFjutYbPN7coONkZH8PWXKSENV2o6kI60akJe8TapH7o3yjpPWkPCQ2rpDzhF3nw7A/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz5oN-KnYmdYcRH9EqNfTso57RrpERg-4cBrQOi69qkBLBLpsYCQYrAkZIseG8fWCKTXMFr-70pt1aYLep2JqSu63CS7PW5eDxLt5Ctaz6ReUTeC/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz5jObLlYWNYcRH9Ga0PDKRuywvtGy4m6dRcWdKy_q4LFlC-9tWTLeF_MdxIGcLSWKWDZQmp6B46g6YOL5Pa9Cvr2S-4OW9YUkbu_GpXzeaZ-uw8QCCaCjI/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz5oN-KnYmdYcRH9EqNfTso57RrpERg-4cBrQOi69qkBLBLpsYCQYrAkZIseG8fWCKTXMFr-70pt1aYLep2JqSu63CS7PW5eDxLt5Ctaz6ReUTeC/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz52YOLkDyRufgHMAqVMY_Q3ywW4CHZ_-_hiWNu57oQJO12x49epb-l7aJwjQ5GSDaOYbguvvkk_gvVdLZCP9ivoiH_hPG4IUkLjrmoAmefUvudu0DkUESK5_vLM95cjMz2U1Q/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz52YOLkDzRyTQmWAPRhXfs58Rv4GyY-18pmUN6j-oQKKE644ZyQMOUqZtAaHJaFWvGCZV_66k1qiPQMK5OA9C_m3ijubDpZDRPi-z1QhqbZ7Qj0BpNT/90fx60f',
            'http://steamcommunity-a.akamaihd.net/economy/image/fWFc82js0fmoRAP-qOIPu5THSWqfSmTELLqcUywGkijVjZYMUrsm1j-9xgEObwgfEh_nvjlWhNzZCveCDfIBj98xqodQ2CZknz52YOLkDyRufgHMAqVMY_Q3ywW4CHZ_-_hiWNu57oQJO12x49epbuV4aZ0RcJyBGKHTeAv77x44gqUJfcPYoi6-3C3hOmpeU0fi-DhXy7TT7rpvizlHRSey-eSS6Z6uOk_crRE/90fx60f',
        ];

        $streams = [
            "English" => "http://www.twitch.tv/faceittv/embed",
            "Russian" => "http://www.twitch.tv/steel_tv/embed",
            "German" => "http://www.hitbox.tv/embed/coolexit"
        ];

        // generate user's inventory placeholder
        $qualities = ["Consumer", "Industrial", "Mil-Spec", "Restricted", "Classified", "Covert", "Melee", "Contraband"];
        
        // generate inventory
        $invLength = rand(175,200);
        $inv = [];
        for ($i = 0; $i < $invLength; $i++) {
            $inv[] = (object) [
                "id" => 1,
                "weaponName" => "AK-47 | Serpent Ward (Battle-Scarred)",
                "exterior" => ["Factory New", "Minimal Wear", "Field-Tested", "Well-Worn", "Battle-Scarred"][rand(0,4)],
                "quality" =>  $qualities[rand(0,7)],
                "price" => "60.00",
                "stattrak" => !rand(0,1),
                "image" => $weapons[rand(0,9)]
            ];
        }

        // generate bet
        $betLength = rand(0,10);
        $bet = [];
        for ($i = 0; $i < $betLength; $i++) {
            $bet[] = (object) [
                "id" => 1,
                "weaponName" => "AK-47 | Serpent Ward (Battle-Scarred)",
                "exterior" => ["Factory New", "Minimal Wear", "Field-Tested", "Well-Worn", "Battle-Scarred"][rand(0,4)],
                "quality" =>  $qualities[rand(0,7)],
                "price" => "60.00",
                "stattrak" => !rand(0,1),
                "image" => $weapons[rand(0,9)]
            ];
        }
        $userBet = (object) [
            "items" => $bet,
            "team" => 0,
            "id" => 237
        ];

        // sort inventory & bank by exterior
        // this shouldn't happen in the controller
        usort($inv, function($a,$b) {
            $qualities = ["Consumer", "Industrial", "Mil-Spec", "Restricted", "Classified", "Covert", "Melee", "Contraband"];
            if ($a->quality == $b->quality) { return 0; }

            return array_search($b->quality, $qualities) - array_search($a->quality, $qualities);
        });
        
        return view("match/match")
            ->with('match', $mri->find($id))
            ->with('weapons', $weapons)
            ->with('streams', $streams)
            ->with('userBet', $userBet)
            ->with('userInv', $inv);
    }
}

resources/views/admin/match/create.blade.php
@extends('admin/app')

@section('content')
	<div class="content-box">
		<h2>Add a match</h2>

		<ul class="validation">
			@foreach($errors->all() as $error)
				<li class="error">{{ $error }}</li>
			@endforeach
		</ul>

		{!! Form::open(['route' => 'admin.match.store']) !!}

		<table class="form-table">
			<tr>
				<td>{!! Form::label('organizer', 'Organization') !!}</td>
				<td>{!! Form::select('organizer', $organizers, null, ['class' => 'selectpicker', 'data-live-search' => "true"]) !!}</td>
			</tr>
			<tr>
				<td>Teams</td>
				<td>
					{!! Form::select('t1', $teams, null, ['class' => 'selectpicker', 'data-live-search' => "true"]) !!}
					vs.
					{!! Form::select('t2', $teams, null, ['class' => 'selectpicker', 'data-live-search' => "true"]) !!}
				</td>
			</tr>

			<tr>
				<td>{!! Form::label('bo', 'Style') !!}</td>
				<td>
					{!! Form::select('bo', $all_bos, null, ['class' => 'selectpicker']) !!}
				</td>
			</tr>
			<tr class="ignore-a-css">
				<td>{!! Form::label('start', 'Start') !!}</td>
				<td style="position: relative">{!! Form::text('start', null, ['class' => 'timepicker form-control']) !!}</td>
			</tr>
			<tr>
				<td>{!! Form::label('note', 'Note') !!}</td>
				<td style="position: relative">{!! Form::text('note', null, ['placeholder' => 'Note for a match', 'class' => 'form-control']) !!}</td>
			</tr>

			<tr>
				<td>Preview</td>
				<td class="note-preview"></td>
			</tr>
			<tr>
				<td></td>
				<td class="warning"></td>
			</tr>

			<tr>
				<td></td>
				<td>{!! Form::submit('Add match', ['class' => 'btn btn-primary']) !!}</td>
			</tr>

		</table>


		{!! Form::close() !!}
		<script>
			$(document).ready(function() {
				$('.selectpicker').selectpicker();
				$('.timepicker').datetimepicker();
			});

			function format(inp) {

				inp = inp.replace(/\*([^\*]+)\*/g, "<b>$1</b>");
				inp = inp.replace(/_([^_]+)_/g, "<i>$1</i>");

				return inp;
			}

			$('input[name=note]').keyup(function() {
				var note = format($('input[name=note]').val());

				$('.note-preview').html(note);
			});
		</script>
	</div>
@endsection

resources/views/admin/match/edit.blade.php
@extends('admin/app')

@section('content')
	<div class="content-box">
		<h2>Edit a match [{!! LogoUtil::render($match->teams[0]) !!} vs. {!! LogoUtil::render($match->teams[1]) !!}]</h2>

		<ul class="validation">
			@foreach($errors->all() as $error)
				<li class="error">{{ $error }}</li>
			@endforeach
		</ul>

		{!! Form::open(['url' => route('admin.match.update', $match->id), 'method' => 'PATCH']) !!}

		<table class="form-table">
			<tr>
				<td>Teams</td>
				<td>
					{!! Form::select('t1', $teams, $match->teams[0]->id, ['class' => 'selectpicker', 'data-live-search' => "true"]) !!}
					vs.
					{!! Form::select('t2', $teams, $match->teams[1]->id, ['class' => 'selectpicker', 'data-live-search' => "true"]) !!}
				</td>
			</tr>
			<tr>
				<td>{!! Form::label('bo', 'Style') !!}</td>
				<td>
					{!! Form::select('bo', $all_bos, $match->bo, ['class' => 'selectpicker']) !!}
				</td>
			</tr>
			<tr class="ignore-a-css">
				<td>{!! Form::label('start', 'Start') !!}</td>
				<td style="position: relative">
					{!! Form::text('start', null, ['class' => 'timepicker form-control']) !!}
					<small>note: leave empty if you don't want to change it</small>
				</td>
			</tr>
			<tr class="ignore-a-css">
				<td>{!! Form::label('note', 'Note') !!}</td>
				<td style="position: relative">
					{!! Form::text('note', $match->note ? $match->note->note : '', ['placeholder' => 'A note for a match', 'class' => 'form-control', 'autocomplete' => 'off']) !!}
				</td>
			</tr>
			<tr>
				<td>Preview</td>
				<td class="note-preview"></td>
			</tr>
			<tr>
				<td></td>
				<td class="warning"></td>
			</tr>

			<tr>
				<td></td>
				<td>{!! Form::submit('Edit match', ['class' => 'btn btn-primary']) !!}</td>
			</tr>

		</table>


		{!! Form::close() !!}
		<script>
			$(document).ready(function() {
				$('.selectpicker').selectpicker();
				$('.timepicker').datetimepicker();

				function format(inp) {

					inp = inp.replace(/\*(.*?)\*/g, "<b>$1</b>");
					inp = inp.replace(/_(.*?)_/g, "<i>$1</i>");
					inp = inp.replace(/<red>(.*?)<\/red>/g, "<span style='color: red'>$1</span>");
					inp = inp.replace(/<green>(.*?)<\/green>/g, "<span style='color: green'>$1</span>");
					inp = inp.replace(/<blue>(.*?)<\/blue>/g, "<span style='color: #02a4d9'>$1</span>");

					return inp;
				}

				var input = $('input[name=note]');

				function len(inp) {
					inp = inp.replace(/\*(.*?)\*/g, "$1");
					inp = inp.replace(/_(.*?)_/g, "$1");
					inp = inp.replace(/<red>(.*?)<\/red>/g, "$1");
					inp = inp.replace(/<green>(.*?)<\/green>/g, "$1");
					inp = inp.replace(/<blue>(.*?)<\/blue>/g, "$1");

					return inp.length;
				}


				$('.note-preview').html(format(input.val()));

				input.keyup(function() {
					var note = format(input.val());

					var l = len(input.val());

					if(l > 60) {
						$('.warning').html("<span style='color: red; font-weight: bold'>The note is too long! " + l + "/60");
					} else {
						$('.warning').html(l + "/60");
						console.log("doesnt work");
					}
					$('.note-preview').html(note);
				});
			});
		</script>
	</div>
@endsection

resources/views/admin/match/index.blade.php
@extends('admin/app')

@section('content')
	<div class="content-box" style="width: 940px">
		<h2>All matches <a href="{{ route('admin.match.create') }}" class="btn btn-primary">Add</a></h2>

		<table class="table vertical">
			<tr>
				<th></th>
				<th></th>
				<th></th>
				<th style="text-align: center">Host</th>
				<th>BO#</th>
				<th>Starts</th>
				<th></th>
				<th></th>
			</tr>
			@foreach($matches as $m)
				<tr>
					<td style="text-align: right; @if($m->winner_id != 0 and $m->teams[0]->id != $m->winner_id) opacity: 0.3 @endif">
						<b>{{ $m->teams[0]->short_name }}</b>
						{!! LogoUtil::render($m->teams[0]) !!}
					</td>
					<td>
						vs.
					</td>
					<td style="@if($m->winner_id != 0 and $m->teams[1]->id != $m->winner_id) opacity: 0.3 @endif">
						{!! LogoUtil::render($m->teams[1]) !!}
						<b>{{ $m->teams[1]->short_name }}</b>
					</td>
					<td style="text-align: center">{{ $m->organization->name }}</td>
					<td>BO{{ $m->bo }}</td>
					<td>{{ $m->start }}</td>
					<td><a class="btn btn-primary" href="{{ route('admin.match.edit', $m->id) }}">Edit!</a></td>
					<td>
						@if($m->winner_id == 0)
							<div class="btn-group">
								<button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
									Pick a winner <span class="caret"></span>
								</button>
								<ul class="dropdown-menu" role="menu">
									<li>
										<a onclick="if(confirm('Did \'{{ $m->teams[0]->name }}\' actually win against \'{{ $m->teams[1]->name }}\'?')) { window.location = '{{ route('admin.match.pickwinner', [$m->id, $m->teams[0]->id]) }}'; }" href="javascript:void(0)">
											{{ $m->teams[0]->name }}
										</a>
									</li>
									<li>
										<a onclick="if(confirm('Did \'{{ $m->teams[1]->name }}\' actually win against \'{{ $m->teams[0]->name }}\'?')) { window.location = '{{ route('admin.match.pickwinner', [$m->id, $m->teams[1]->id]) }}'; }" href="javascript:void(0)">
											{{ $m->teams[1]->name }}
										</a>
									</li>
								</ul>
							</div>
						@endif
					</td>
				</tr>
			@endforeach
		</table>
	</div>
@endsection